| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Static Public Attributes | Static Package Functions
com.symantec.sepm.webservice.client.ClientServiceImpl Class Reference

Provides the implementation for the ClientService API. More...

Inheritance diagram for com.symantec.sepm.webservice.client.ClientServiceImpl:

## Public Member Functions
RiskEventResult | getRiskEvents (String commandID, PagingOptions pagingOptions, Context context) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
ComputerResult | getComputersByIP (String[] ipAddresses, PagingOptions pagingOptions, Context context) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
ComputerResult | getQuarantinedComputers (PagingOptions pagingOptions, Context context) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
ComputerResult | getComputersByHostName (String[] computerHostNames, PagingOptions pagingOptions, Context context) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
GroupResult | getGroupsByName (String groupName, PagingOptions pagingOptions, Context context) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
int | acknowledgeRiskEventEntries (String[] eventIds) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
PagingOptions | createPagingOptions ()
| Creates a PagingOptions object. More...
Context | createContext ()
| Creates a Context object. More...
Public Member Functions inherited from com.symantec.sepm.webservice.client.ClientService
ComputerResult | getComputersByIP (@WebParam(name="ipAddresses") String[] ipAddresses,@WebParam(name="pagingOptions") PagingOptions pagingOptions,@WebParam(name="context") Context context) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Returns a list of computer GUIDs from a provided list of computer IP addresses. More...
ComputerResult | getQuarantinedComputers (@WebParam(name="pagingOptions") PagingOptions pagingOptions,@WebParam(name="context") Context context) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Returns a list of computer GUIDs representing quarantined computers. More...
ComputerResult | getComputersByHostName (@WebParam(name="computerHostNames") String[] computerHostNames,@WebParam(name="pagingOptions") PagingOptions pagingOptions,@WebParam(name="context") Context context) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Returns a list of computer GUIDs from a provided list of computer hostnames. More...
GroupResult | getGroupsByName (@WebParam(name="groupName") String groupName,@WebParam(name="pagingOptions") PagingOptions pagingOptions,@WebParam(name="context") Context context) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Returns a list of group IDs for Symantec Endpoint Protection Manager groups from the specified group name(s) More...
int | acknowledgeRiskEventEntries (@WebParam(name="eventIds") String[] eventIds) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Acknowledges (leaves alone) the specified risks that were found when a PowerEraser command request was issued with type "Scan" or "ScanWithRootkit." The risks to leave alone are specified by using the eventId field of the RiskEventInfo object. More...
RiskEventResult | getRiskEvents (@WebParam(name="commandID") String commandID,@WebParam(name="pagingOptions") PagingOptions pagingOptions,@WebParam(name="context") Context context) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Returns the list of risks that were found when a runClientCommandPowerEraser() command request was issued with a PowerEraserCommand object argument that specified a command type of "Scan" or "ScanWith Rootkit." The commandID parameter is provided by the CommandClientResult object that is returned from the PowerEraser command. More...

## Static Public Attributes
static final String | SORT_BY_COMPUTER_NAME_DB_COLUMN = "COMPUTER_NAME"
| The database column for sorting lists of clients by computer name. More...
static final String | SORT_BY_COMPUTERNAME = "Computername"
| The computer name to sort results by. More...
static final String | SORT_BY_GROUPNAME_DB_COLUMN = "NAME"
| The database column for sorting lists of clients by group name. More...
static final String | SORT_BY_GROUPNAME = "Groupname"
| The group name to sort results by. More...

## Static Package Functions
| [static initializer]

## Detailed Description

Provides the implementation for the ClientService API.

## Member Function Documentation

com.symantec.sepm.webservice.client.ClientServiceImpl.[static initializer] | ( |  | ) |
| static package

RiskEventResult com.symantec.sepm.webservice.client.ClientServiceImpl.getRiskEvents | ( | String | commandID,
|  | PagingOptions | pagingOptions,
|  | Context | context
| ) |  | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

ComputerResult com.symantec.sepm.webservice.client.ClientServiceImpl.getComputersByIP | ( | String[] | ipAddresses,
|  | PagingOptions | pagingOptions,
|  | Context | context
| ) |  | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

ComputerResult com.symantec.sepm.webservice.client.ClientServiceImpl.getQuarantinedComputers | ( | PagingOptions | pagingOptions,
|  | Context | context
| ) |  | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

ComputerResult com.symantec.sepm.webservice.client.ClientServiceImpl.getComputersByHostName | ( | String[] | computerHostNames,
|  | PagingOptions | pagingOptions,
|  | Context | context
| ) |  | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

GroupResult com.symantec.sepm.webservice.client.ClientServiceImpl.getGroupsByName | ( | String | groupName,
|  | PagingOptions | pagingOptions,
|  | Context | context
| ) |  | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

int com.symantec.sepm.webservice.client.ClientServiceImpl.acknowledgeRiskEventEntries | ( | String[] | eventIds | ) | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

PagingOptions com.symantec.sepm.webservice.client.ClientServiceImpl.createPagingOptions | ( |  | ) |

Creates a PagingOptions object.

This method is provided as a convenience for developers using PowerShell or other scripting languages. It lets the caller create a default object that can be initialized and passed as an input parameter to other web services. Developers who use higher-level languages should be able to create this object directly, or they can use this helper method.

See also
  PagingOptions

Returns
  a new PagingOptions object with values set to their defaults

Implements com.symantec.sepm.webservice.client.ClientService.

Context com.symantec.sepm.webservice.client.ClientServiceImpl.createContext | ( |  | ) |

Creates a Context object.

This method is provided as a convenience for developers using PowerShell or other scripting languages. It lets the caller create a default object that can be initialized and passed as an input parameter to other web services. Developers who use higher-level languages should be able to create this object directly, or they can use this helper method.

See also
  Context

Returns
  a new Context object with values set to their defaults

Implements com.symantec.sepm.webservice.client.ClientService.

## Member Data Documentation

final String com.symantec.sepm.webservice.client.ClientServiceImpl.SORT_BY_COMPUTER_NAME_DB_COLUMN = "COMPUTER_NAME"
| static

The database column for sorting lists of clients by computer name.

final String com.symantec.sepm.webservice.client.ClientServiceImpl.SORT_BY_COMPUTERNAME = "Computername"
| static

The computer name to sort results by.

final String com.symantec.sepm.webservice.client.ClientServiceImpl.SORT_BY_GROUPNAME_DB_COLUMN = "NAME"
| static

The database column for sorting lists of clients by group name.

final String com.symantec.sepm.webservice.client.ClientServiceImpl.SORT_BY_GROUPNAME = "Groupname"
| static

The group name to sort results by.